RDM_TEST_SERVER.PY(1)

NAME
rdm_test_server.py - A web server for testing RDM responders for adherence to the standards

SYNOPSIS
rdm_test_server.py [options]

DESCRIPTION
Starts the TestServer (A simple Web Server) which run a series of tests on a RDM responder and displays the results in a Web UI. This requires the OLA server to be running, and the RDM device to have been detected. You can confirm this by running ola_rdm_discover -u UNIVERSE. This will send SET commands to the broadcast UIDs which means the start address, device label etc. will be changed for all devices connected to the responder. Think twice about running this on your production lighting rig.

OPTIONS

-h, --help
    show this help message and exit

-p DIR, --pid-location=DIR
    The directory to load the PID definitions from.

-d WWW_DIR, --www-dir=WWW_DIR
    The root directory to serve static files, this must be absolute.

-l LOG_DIRECTORY, --log-directory=LOG_DIRECTORY
    The directory to store log files.

--world-writeable
    Make the log directory world writeable.